##reset all the score

clear @s

scoreboard players set @s Health 100
scoreboard players set @s ammo 100

##turn into an infected while playing infection

execute if score .battle_mode general matches 5 run function tmls:functions/player/general/infect

##weapons

execute unless entity @s[tag=undead] unless score .battle_mode general matches 3 run scoreboard players operation @s weapon = @s inlobby-weapon
scoreboard players set @s[tag=undead] weapon 18

scoreboard players set @s[scores={weapon=1}] pj-damage 10
scoreboard players set @s[scores={weapon=2}] pj-damage 15
scoreboard players set @s[scores={weapon=3}] pj-damage 40
scoreboard players set @s[scores={weapon=4}] pj-damage 15
scoreboard players set @s[scores={weapon=5}] pj-damage 10
scoreboard players set @s[scores={weapon=6}] pj-damage 5
scoreboard players set @s[scores={weapon=9}] pj-damage 15
scoreboard players set @s[scores={weapon=10}] pj-damage 15
scoreboard players set @s[scores={weapon=11}] pj-damage 40
scoreboard players set @s[scores={weapon=12}] pj-damage 10
scoreboard players set @s[scores={weapon=13}] pj-damage 50
scoreboard players set @s[scores={weapon=14}] pj-damage 10
scoreboard players set @s[scores={weapon=18}] pj-damage 10

scoreboard players set @s falldamage 0
scoreboard players set @s damagetaken 0
scoreboard players set @s frizing 0

function tmls:functions/player/weapons/reload/skip-animation

##update the ui

function tmls:functions/player/ui/update_ui_all

##remove all the spectators tags and add the ingame one

tag @s add ingame
tag @s remove spectator
tag @s remove spectator-ingame

##reset the gamemode

gamemode adventure @s

##tp to a random spawn point

execute unless score .battle_mode general matches 4 unless score .battle_mode general matches 6 run tp @s @e[distance=..200,tag=spawnpoint,tag=random,limit=1,sort=random]

execute if score .battle_mode general matches 4 run tp @s[scores={team=1}] @e[distance=..200,tag=spawnpoint,tag=team1,limit=1,sort=random]
execute if score .battle_mode general matches 4 run tp @s[scores={team=2}] @e[distance=..200,tag=spawnpoint,tag=team2,limit=1,sort=random]

execute if score .battle_mode general matches 6 run tp @s[scores={team=1}] @e[distance=..200,tag=spawnpoint,tag=team1,limit=1,sort=random]
execute if score .battle_mode general matches 6 run tp @s[scores={team=2}] @e[distance=..200,tag=spawnpoint,tag=team2,limit=1,sort=random]

##reset the respawn timer

scoreboard players set @s respawn-timer 0

##sound

playsound minecraft:block.note_block.bit master @s ~ ~ ~ 0.5 2 0.5
playsound minecraft:custom.goose master @a[distance=..7] ~ ~ ~ 0.5 1 0.25

##reset all the effects

scoreboard players set @s[tag=stunned] stunnedTimer 50
scoreboard players set @s[tag=onfire] onfireTimer 30
scoreboard players set @s[tag=rottened] rottenedTimer 50

effect clear @s glowing